package gov.usgs.earthquake.nshmp.netcdf.reader;

import static com.google.common.base.Preconditions.checkState;

import java.util.HashMap;
import java.util.Map;

import gov.usgs.earthquake.nshmp.netcdf.SiteClass;

@SuppressWarnings("serial")
public class StaticHazards extends HashMap<SiteClass, StaticHazard> {

  public StaticHazards() {}

  private StaticHazards(Map<SiteClass, StaticHazard> staticHazards) {
    this.putAll(staticHazards);
  }

  public static Builder builder() {
    return new Builder();
  }

  public static class Builder {
    Map<SiteClass, StaticHazard> staticHazards;

    private Builder() {
      staticHazards = new HashMap<>();
    }

    public Builder put(SiteClass siteClass, StaticHazard staticHazard) {
      staticHazards.put(siteClass, staticHazard);
      return this;
    }

    public StaticHazards build() {
      checkState(!staticHazards.isEmpty(), "Must add hazards");
      return new StaticHazards(staticHazards);
    }

  }

}
